Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Soft-delete (archive) eval rubric.
Python
import requests url = "https://www.datalab.to/api/v1/eval_rubrics/{rubric_id}" headers = {"X-API-Key": "<api-key>"} response = requests.delete(url, headers=headers) print(response.text)
curl --request DELETE \ --url https://www.datalab.to/api/v1/eval_rubrics/{rubric_id} \ --header 'X-API-Key: <api-key>'
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};fetch('https://www.datalab.to/api/v1/eval_rubrics/{rubric_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://www.datalab.to/api/v1/eval_rubrics/{rubric_id}" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("X-API-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
{ "id": 123, "name": "<string>", "description": "<string>", "eval_definition": {}, "source": "<string>", "source_processor_id": "<string>", "archived": true, "version": 123, "created": "2023-11-07T05:31:56Z", "updated": "2023-11-07T05:31:56Z", "version_history": [ "<unknown>" ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
Successful Response
Was this page helpful?